Bug 1272606 - Review Request: arb - Arbitrary-precision floating point ball arithmetic
Review Request: arb - Arbitrary-precision floating point ball arithmetic
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 17:22 EDT by Jerry James
Modified: 2015-10-31 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-10-16 17:22:43 EDT
Spec URL: https://jjames.fedorapeople.org/arb/arb.spec
SRPM URL: https://jjames.fedorapeople.org/arb/arb-2.7.0-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: Arb is a C library for arbitrary-precision floating-point ball arithmetic.  It supports efficient high-precision computation with polynomials, power series, matrices and special functions over the real and complex numbers, with automatic, rigorous error control.
Comment 1 Antonio Trande 2015-10-23 13:34:41 EDT
- Compiler flags for hardened builds seem not honored.

' -Wl,-z,now ' missing

https://fedoraproject.org/wiki/Changes/Harden_All_Packages
http://fedoraproject.org/wiki/Packaging:Guidelines#PIE

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1272606-arb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in arb-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arb-2.7.0-1.fc24.i686.rpm
          arb-devel-2.7.0-1.fc24.i686.rpm
          arb-doc-2.7.0-1.fc24.noarch.rpm
          arb-2.7.0-1.fc24.src.rpm
arb-devel.i686: W: no-documentation
arb.src:37: W: unversioned-explicit-provides bundled(jquery)
arb.src:55: W: configure-without-libdir-spec
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: arb-debuginfo-2.7.0-1.fc24.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
arb-devel.i686: W: no-documentation

arb.i686: W: private-shared-object-provides /usr/lib/libarb.so.2.7.0 libarb.so.2
(Related to https://bugzilla.redhat.com/show_bug.cgi?id=1253917 ?)

4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
arb-devel (rpmlib, GLIBC filtered):
    arb(x86-32)
    flint-devel(x86-32)
    gmp-devel(x86-32)
    libarb.so.2
    mpfr-devel(x86-32)

arb (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    ld-linux.so.2
    libc.so.6
    libflint.so.13
    libgmp.so.10
    libm.so.6
    libmpfr.so.4
    libpthread.so.0
    rtld(GNU_HASH)

arb-doc (rpmlib, GLIBC filtered):



Provides
--------
arb-devel:
    arb-devel
    arb-devel(x86-32)

arb:
    arb
    arb(x86-32)
    libarb.so.2

arb-doc:
    arb-doc
    bundled(jquery)



Source checksums
----------------
https://github.com/fredrik-johansson/arb/archive/2.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9eba70a795d38e8b2975ebbaf272d2ee27c37d1314e13c8ccf15ed53b47393e7
  CHECKSUM(SHA256) upstream package : 9eba70a795d38e8b2975ebbaf272d2ee27c37d1314e13c8ccf15ed53b47393e7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1272606
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Jerry James 2015-10-23 16:14:57 EDT
Hardening LDFLAGS added.  New URLs:

Spec URL: https://jjames.fedorapeople.org/arb/arb.spec
SRPM URL: https://jjames.fedorapeople.org/arb/arb-2.7.0-2.fc24.src.rpm
Comment 3 Antonio Trande 2015-10-23 16:30:08 EDT
Package approved.
Comment 4 Jerry James 2015-10-23 16:46:13 EDT
Thank you very much, Antonio!
Comment 5 Antonio Trande 2015-10-23 16:56:09 EDT
Please, take a look to this review: https://bugzilla.redhat.com/show_bug.cgi?id=1272652
Comment 6 Fedora Update System 2015-10-24 22:23:55 EDT
arb-2.7.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-42c1e8dce2
Comment 7 Fedora Update System 2015-10-26 22:19:38 EDT
arb-2.7.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update arb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-42c1e8dce2
Comment 8 Fedora Update System 2015-10-31 22:28:43 EDT
arb-2.7.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.